MouseWrtParserInternal::State Struct Reference

Internal: the state of a MouseWrtParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
long | m_blockSizes [5]
| the first zone's size
std::map< int, MWAWFont > | m_charPLCMap
| the map position to charPLC
std::map< int, Paragraph > | m_paraPLCMap
| the map position to paraPLC
MWAWEntry | m_text
| the main text entry
Zone | m_zones [2]
| the header and the footer zone

## Detailed Description

Internal: the state of a MouseWrtParser.

## Constructor & Destructor Documentation

## State()

MouseWrtParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int MouseWrtParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_blockSizes

long MouseWrtParserInternal::State::m_blockSizes[5]

the first zone's size

Referenced by State().

## m_charPLCMap

std::map<int, MWAWFont> MouseWrtParserInternal::State::m_charPLCMap

the map position to charPLC

Referenced by State().

## m_numPages

int MouseWrtParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## m_paraPLCMap

std::map<int, Paragraph> MouseWrtParserInternal::State::m_paraPLCMap

the map position to paraPLC

Referenced by State().

## m_text

MWAWEntry MouseWrtParserInternal::State::m_text

the main text entry

Referenced by State().

## m_zones

Zone MouseWrtParserInternal::State::m_zones[2]

the header and the footer zone

The documentation for this struct was generated from the following file:

- MouseWrtParser.cxx